using Microsoft.EntityFrameworkCore;
using PARR.DAL.Context;
using System.ComponentModel.DataAnnotations.Schema;

namespace PARR.DAL.Models
{
    [Table("UnitsInTemplates", Schema = DataContextSettings.Job)]
    [Comment("Таблица связи ЭК в шаблонах")]
    public class UnitsInTemplate
    {
        public Guid TemplateId { get; set; }
        public Guid UnitId { get; set; }
        public DateTimeOffset DateCreated { get; set; }

        [ForeignKey(nameof(TemplateId))]
        public Template? Template { get; set; }

        [ForeignKey(nameof(UnitId))]
        public Unit.Unit? Unit { get; set; }
    }
}
